Exams By Week
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/examsByWeek \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/examsByWeek"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/examsByWeek', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"startDate": "<string>",
"endDate": "<string>",
"lastEvaluatedKey": "<string>",
"results": [
{}
]
}Reports
Exams By Week
Returns exams grouped by week based on the given filter parameters.
GET
/
v1
/
installs
/
{installSid}
/
examsByWeek
Exams By Week
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Query Parameters
Result offset
Required range:
x >= 0Number of items to return
Required range:
x >= 0Course offering sid
Pattern:
^CO[a-f0-9]{32}$The base for grouping the exams
Available options:
examOpenDate, examCloseDate Active status of the exams
Available options:
past, active, upcoming earliest date to show exams
Latest date to show exams
Was this page helpful?
